Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class CFPropDefs

    java.lang.Object
      org.apache.cassandra.cql3.PropertyDefinitions
          org.apache.cassandra.cql3.CFPropDefs

    public class CFPropDefs

extends PropertyDefinitions

Field Summary
`static java.util.Set<java.lang.String>` | `allowedKeywords`
`static java.lang.String` | `COMPACTION_OPTIONS_PREFIX`
`java.util.Map<java.lang.String,java.lang.String>` | `compactionStrategyOptions`
`static java.util.Map<java.lang.String,java.lang.String>` | `comparators`
`static java.lang.String` | `COMPRESSION_PARAMETERS_PREFIX`
`java.util.Map<java.lang.String,java.lang.String>` | `compressionParameters`
`static java.util.Set<java.lang.String>` | `keywords`
`static java.lang.String` | `KW_BF_FP_CHANCE`
`static java.lang.String` | `KW_CACHING`
`static java.lang.String` | `KW_COMMENT`
`static java.lang.String` | `KW_COMPACTION_STRATEGY_CLASS`
`static java.lang.String` | `KW_DCLOCALREADREPAIRCHANCE`
`static java.lang.String` | `KW_GCGRACESECONDS`
`static java.lang.String` | `KW_MAXCOMPACTIONTHRESHOLD`
`static java.lang.String` | `KW_MINCOMPACTIONTHRESHOLD`
`static java.lang.String` | `KW_READREPAIRCHANCE`
`static java.lang.String` | `KW_REPLICATEONWRITE`
`static java.util.Set<java.lang.String>` | `obsoleteKeywords`

Fields inherited from class org.apache.cassandra.cql3.PropertyDefinitions
`properties`

Constructor Summary
`CFPropDefs()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`void` | `applyToCFMetadata(CFMetaData cfm)`
`static AbstractType<?>` | `parseType(java.lang.String type)`
`java.lang.String` | `toString()`
`void` | `validate()`

Methods inherited from class org.apache.cassandra.cql3.PropertyDefinitions
`getBoolean, getDouble, getInt, getSimple, getString, hasProperty, toInt, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KW_COMMENT

    public static final java.lang.String KW_COMMENT

See Also:
  Constant Field Values

### KW_READREPAIRCHANCE

    public static final java.lang.String KW_READREPAIRCHANCE

See Also:
  Constant Field Values

### KW_DCLOCALREADREPAIRCHANCE

    public static final java.lang.String KW_DCLOCALREADREPAIRCHANCE

See Also:
  Constant Field Values

### KW_GCGRACESECONDS

    public static final java.lang.String KW_GCGRACESECONDS

See Also:
  Constant Field Values

### KW_MINCOMPACTIONTHRESHOLD

    public static final java.lang.String KW_MINCOMPACTIONTHRESHOLD

See Also:
  Constant Field Values

### KW_MAXCOMPACTIONTHRESHOLD

    public static final java.lang.String KW_MAXCOMPACTIONTHRESHOLD

See Also:
  Constant Field Values

### KW_REPLICATEONWRITE

    public static final java.lang.String KW_REPLICATEONWRITE

See Also:
  Constant Field Values

### KW_COMPACTION_STRATEGY_CLASS

    public static final java.lang.String KW_COMPACTION_STRATEGY_CLASS

See Also:
  Constant Field Values

### KW_CACHING

    public static final java.lang.String KW_CACHING

See Also:
  Constant Field Values

### KW_BF_FP_CHANCE

    public static final java.lang.String KW_BF_FP_CHANCE

See Also:
  Constant Field Values

### comparators

    public static final java.util.Map<java.lang.String,java.lang.String> comparators

### keywords

    public static final java.util.Set<java.lang.String> keywords

### obsoleteKeywords

    public static final java.util.Set<java.lang.String> obsoleteKeywords

### allowedKeywords

    public static final java.util.Set<java.lang.String> allowedKeywords

### COMPACTION_OPTIONS_PREFIX

    public static final java.lang.String COMPACTION_OPTIONS_PREFIX

See Also:
  Constant Field Values

### COMPRESSION_PARAMETERS_PREFIX

    public static final java.lang.String COMPRESSION_PARAMETERS_PREFIX

See Also:
  Constant Field Values

### compactionStrategyOptions

    public final java.util.Map<java.lang.String,java.lang.String> compactionStrategyOptions

### compressionParameters

    public final java.util.Map<java.lang.String,java.lang.String> compressionParameters

Constructor Detail

### CFPropDefs

    public CFPropDefs()

Method Detail

### parseType

    public static AbstractType<?> parseType(java.lang.String type)
                                     throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validate

    public void validate()
                  throws ConfigurationException,
                         InvalidRequestException

  Throws:
    `ConfigurationException`
    `InvalidRequestException`

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)
                     throws InvalidRequestException

  Overrides:
    `addProperty` in class `PropertyDefinitions`
  Throws:
    `InvalidRequestException`

### applyToCFMetadata

    public void applyToCFMetadata(CFMetaData cfm)
                           throws ConfigurationException,
                                  InvalidRequestException

  Throws:
    `ConfigurationException`
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation